<?php

namespace app\ic;

class TZO
{
    const array PARTS = [1, 21, 22, 31, 32, 33, 41, 42, 43, 44, 51, 52, 53, 61, 62, 7];

    public static function getStrings(): array {
        static $strings;
        if ($strings === null)
            $strings = yaml_parse_file(APP_ROOT.'/data/tzo/info.yaml');
        return $strings;
    }

    /**
     * @return TZOPart[]
     */
    public static function getParts(): array {
        return array_map(fn(int $n) => new TZOPart($n), self::PARTS);
    }
}